/{organizationId}/{mandateId}/crm/passes/templates/{templateId}Updates a pass template
Required permissions:
mandate.read
contactPassTemplate.edit
Path Parameters
organizationIdstringrequired mandateIdstringrequired templateIdstringrequired Request Body required
Content-Type: application/json
namestringrequired minLength: 1
maxLength: 40
descriptionstringrequired maxLength: 100
useRecognizableBarcodebooleanrequired emailSubjectstringrequired maxLength: 100
emailMessagestringrequired maxLength: 1600
emailDaysBeforeinteger | nullrequired minimum: 1
maximum: 365
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/passes/templates/{templateId}' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"description": "string",
"useRecognizableBarcode": true,
"emailSubject": "string",
"emailMessage": "string",
"validFrom": {
"literal": [
1
]
},
"validTo": {
"literal": [
1
]
},
"emailDaysBefore": 1
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Valueany Response
"string"400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}